gcc: refresh patches for gcc 4.1.2
[openwrt/svn-archive/archive.git] / toolchain / gcc / patches / 4.1.2 / 110-arm-eabi.patch
1 --- a/gcc/config.gcc
2 +++ b/gcc/config.gcc
3 @@ -674,7 +674,7 @@ arm*-*-linux*) # ARM GNU/Linux with EL
4 tm_file="dbxelf.h elfos.h linux.h arm/elf.h arm/linux-gas.h arm/linux-elf.h"
5 tmake_file="${tmake_file} t-linux arm/t-arm"
6 case ${target} in
7 - arm*-*-linux-gnueabi)
8 + arm*-*-linux-gnueabi | arm*-*-linux-uclibcgnueabi)
9 tm_file="$tm_file arm/bpabi.h arm/linux-eabi.h"
10 tmake_file="$tmake_file arm/t-arm-elf arm/t-bpabi arm/t-linux-eabi"
11 # The BPABI long long divmod functions return a 128-bit value in
12 --- a/gcc/config/arm/linux-eabi.h
13 +++ b/gcc/config/arm/linux-eabi.h
14 @@ -53,7 +53,11 @@
15 /* Use ld-linux.so.3 so that it will be possible to run "classic"
16 GNU/Linux binaries on an EABI system. */
17 #undef LINUX_TARGET_INTERPRETER
18 +#ifdef USE_UCLIBC
19 +#define LINUX_TARGET_INTERPRETER "/lib/ld-uClibc.so.0"
20 +#else
21 #define LINUX_TARGET_INTERPRETER "/lib/ld-linux.so.3"
22 +#endif
23
24 /* At this point, bpabi.h will have clobbered LINK_SPEC. We want to
25 use the GNU/Linux version, not the generic BPABI version. */